Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.foundation
Class BusinessSmartWorkAreaValue

    java.lang.Object
      |
      +--theory.smart.foundation.BusinessSmartWorkAreaValue

public class BusinessSmartWorkAreaValue
extends java.lang.Object
implements java.io.Serializable

BusinessSmartWorkAreaValue is a value-holder for the BusinessSmartWorkArea key-value entry. None one should use this bean directly.

See Also:
  `BusinessSmartEngine`, `BusinessSmartWorkArea`, `BusinessSmartWorkAreaPk`, `BusinessSmartWorkAreaHome`, Serialized Form

Field Summary
`protected java.io.Serializable` | `value` All values in the BusinessSmartWorkAreas are stored in the value object of a BusinessSmartWorkAreaValue object.

Constructor Summary
`BusinessSmartWorkAreaValue()` Default constructor sets the value to null.
`BusinessSmartWorkAreaValue(java.io.Serializable value)` This constructor sets the value to the one that is passed in.

Method Summary
`java.io.Serializable` | `getValue()` Getter for value.
`void` | `setValue(java.io.Serializable value)` Setter for value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.io.Serializable value

  All values in the BusinessSmartWorkAreas are stored in the value object of a BusinessSmartWorkAreaValue object. The value object must also be serializable.

Constructor Detail

### BusinessSmartWorkAreaValue

    public BusinessSmartWorkAreaValue()

  Default constructor sets the value to null.

### BusinessSmartWorkAreaValue

    public BusinessSmartWorkAreaValue(java.io.Serializable value)

  This constructor sets the value to the one that is passed in.

Method Detail

### setValue

    public void setValue(java.io.Serializable value)

  Setter for value.

### getValue

    public java.io.Serializable getValue()

  Getter for value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.